﻿© Fluke Calibration. All Rights Reserved.                  MET/CAL Procedure
=============================================================================
INSTRUMENT:            LeCroy WR62Xi: (1 yr) VER IEEE /9500/1100+2Hd,DMM
DATE:                  2011-11-28 09:29:07
AUTHOR:                Fluke
REVISION:              $Revision: 2624 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       1
NUMBER OF LINES:       266
CONFIGURATION:         Datron 9500 (C5,G1)
CONFIGURATION:         Datron 9510 on channel 1
CONFIGURATION:         Datron 9510 on channel 2
CONFIGURATION:         Digital Multimeter
=============================================================================
#
#  Procedure Author:
#        VY
# 
#  Source(s):
#        Chapter 5 - WRXi Performance Verification Rev D.pdf
#        Chapter 5 - WRXi Performance Verification Test Record rev D.pdf
# 
#  Compatibility:
#        MET/CAL 7.20 or later
#
#  Additional Equipment Required:
#        Cable, 50 Ohm, BNC(m)-(m)
#        BNC female to double stacking banana plug, Pomona 1269
# 
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

# These statements are here to force the main procedure header to list the
# configuration required by the subprocedures.
  1.001  IF           0
  1.002  M9500                       CH1
  1.003  9500         600.1MH                      1Vpp           LS    S  L
  1.004  M9500                       CH2
  1.005  9500         600.1MH                      1Vpp           LS    S  L
  1.006  IEEE         [@DMM]
  1.007  ENDIF

  1.008  ASK-   R   Q N              P                            A        V

  1.015  CALL         Sub Display Copyright
  1.016  CALL         Sub High Voltage Safety Warning
  1.017  CALL         Sub Select Failed Test Mode
  1.018  CALL         Sub Select Verification Method (No NTHROW)

  1.019  DISP         Ensure a minimum UUT warm-up time of at least
  1.019  DISP         20 minutes has been allowed to elapse, prior
  1.019  DISP         to beginning verification.

  1.020  HEAD         PRELIMINARY INSTRUCTIONS
  1.021  CALL         Sub LeCroy WS-GPIB Connection
  1.022  CALL         Sub LeCroy WS-GPIB Setup
  1.023  CALL         Sub LeCroy WS-GPIB Initialization

  1.024  MATH         L[1] = ZCMPI(@Manufacturer, "LECROY")
  1.025  MATH         L[2] = ZCMPI(@ModelNum, "WR62Xi")

  1.026  IF           NOT(L[1]) || NOT(L[2])
  1.027  DISP         UUT is a [V @Manufacturer] [V @ModelNum],
  1.027  DISP         not a LeCroy WR62Xi!
  1.028  END
  1.029  ENDIF

  1.030  CALL         Sub Datron 9500 Configuration Query IEEE

  1.031  HEAD         EQUIPMENT REQUIREMENTS
  1.032  OPBR         -z Do you want to REVIEW the list of additional
  1.032  OPBR         equipment and/or accessories required?

  1.033  IF           MEM1
  1.034  DISP         The following additional equipment and/or
  1.034  DISP         accessories are required:
  1.034  DISP
  1.034  DISP         - Cable, 50 Ohm, BNC(m)-(m)
  1.034  DISP         - BNC female to double stacking banana plug, Pomona 1269
  1.035  ENDIF

# Set the system confidence level to 95%.
  1.036  MATH         @SysConf = 2
  1.037  MATH         @DevName = "Datron 9500"

# Specify whether the calibrator is single or multi-channel.  This is used
# in subprocedures to determine the connections required for each test.
  1.038  MATH         @SourceMultiCh = 1

  1.039  CALL         Sub LeCroy WRXi Set BW & Number of Channels

# NOTE: Throughout this procedure, JMPL/LABEL statements are used to
# minimize connection changes during execution. Test results, however,
# are reported in test number sequence.
#
#  Order  Results                            Run Time (Execution)
#  -----  -------------------------------    --------------------------------
#    1.   SELF TEST                          SELF TEST
#    2.   CHANNEL INPUT IMPEDANCE(CH1)       PEAK-PEAK NOISE LEVEL(CH1)
#    3.   CHANNEL INPUT IMPEDANCE(CH2)       PEAK-PEAK NOISE LEVEL(CH2)
#    4.   EXTERNAL INPUT IMPEDANCE           LEAKAGE CURRENT(CH1)
#    5.   LEAKAGE CURRENT(CH1)               LEAKAGE CURRENT(CH2)
#    6.   LEAKAGE CURRENT(CH2)               EXTERNAL TRIGGER LEAKAGE CURRENT
#    7.   EXTERNAL TRIGGER LEAKAGE CURRENT   EXTERNAL INPUT IMPEDANCE
#    8.   PEAK-PEAK NOISE LEVEL(CH1)         CHANNEL INPUT IMPEDANCE(CH1)
#    9.   PEAK-PEAK NOISE LEVEL(CH2)         CHANNEL INPUT IMPEDANCE(CH2)
#   10.   DC GAIN ACC(CH1)                   DC GAIN ACC(CH1)
#   11.   DC GAIN ACC(CH2)                   DC GAIN ACC(CH2)
#   12.   OFFSET ACC(CH1)                    OFFSET ACC(CH1)
#   13.   OFFSET ACC(CH2)                    OFFSET ACC(CH2)
#   14.   BANDWIDTH(CH1)                     BANDWIDTH(CH1)
#   15.   BANDWIDTH(CH2)                     BANDWIDTH(CH2)
#   16.   TRIGGER LEVEL(CH1)                 TRIGGER LEVEL(CH1)
#   17.   TRIGGER LEVEL(CH2)                 TRIGGER LEVEL(CH2)
#   18.   TIME BASE                          TIME BASE

  1.040  CALL         Sub LeCroy WRXi Self-Test IEEE

  1.041  IF           @Abort
  1.042  END
  1.043  ENDIF

  1.044  JMPL         PEAK_PEAK_NOISE_LEVEL

  1.045  LABEL        CHANNEL_INPUT_IMPEDANCE
  1.046  MATH         @Chan = 1
  1.047  M9500                       CH1
  1.048  CALL         Sub LeCroy WRXi (1 yr) Chan Input Impedance IEEE /9500
  1.049  MATH         @Chan = 2
  1.050  M9500                       CH2
  1.051  CALL         Sub LeCroy WRXi (1 yr) Chan Input Impedance IEEE /9500
  1.052  JMPL         DC_GAIN_ACC

  1.053  LABEL        EXT_EXT_INPUT_IMPEDANCE
  1.054  MATH         @Chan = 5
  1.055  M9500                       CH1
  1.056  CALL         Sub LeCroy WRXi (1 yr) Ext Input Impedance IEEE /9500
  1.057  JMPL         CHANNEL_INPUT_IMPEDANCE

  1.058  LABEL        CHANNAL_LEAKAGE_CURRENT
  1.059  MATH         @Chan = 1
  1.060  CALL         Sub LeCroy WRXi (1 yr) Chan Leakage Current IEEE /DMM
  1.061  MATH         @Chan = 2
  1.062  CALL         Sub LeCroy WRXi (1 yr) Chan Leakage Current IEEE /DMM

  1.063  MATH         @Chan = 5
  1.064  CALL         Sub LeCroy WRXi (1 yr) Ext Leakage Current IEEE /DMM
  1.065  JMPL         EXT_EXT_INPUT_IMPEDANCE

  1.066  LABEL        PEAK_PEAK_NOISE_LEVEL
  1.067  MATH         @Chan = 1
  1.068  CALL         Sub LeCroy WRXi (1 yr) Peak-Peak Noise Level IEEE
  1.069  MATH         @Chan = 2
  1.070  CALL         Sub LeCroy WRXi (1 yr) Peak-Peak Noise Level IEEE
  1.071  JMPL         CHANNAL_LEAKAGE_CURRENT

  1.072  LABEL        DC_GAIN_ACC
  1.073  MATH         @Chan = 1
  1.074  M9500                       CH1
  1.075  CALL         Sub LeCroy WRXi (1 yr) DC Gain Acc IEEE /9500
  1.076  MATH         @Chan = 2
  1.077  M9500                       CH2
  1.078  CALL         Sub LeCroy WRXi (1 yr) DC Gain Acc IEEE /9500

  1.079  MATH         @Chan = 1
  1.080  M9500                       CH1
  1.081  CALL         Sub LeCroy WRXi (1 yr) Offset Acc IEEE /9500
  1.082  MATH         @Chan = 2
  1.083  M9500                       CH2
  1.084  CALL         Sub LeCroy WRXi (1 yr) Offset Acc IEEE /9500

  1.085  MATH         @Chan = 1
  1.086  M9500                       CH1
  1.087  CALL         Sub LeCroy WRXi (1 yr) Bandwidth IEEE /9500/1100
  1.088  MATH         @Chan = 2
  1.089  M9500                       CH2
  1.090  CALL         Sub LeCroy WRXi (1 yr) Bandwidth IEEE /9500/1100

  1.091  MATH         @Chan = 1
  1.092  M9500                       CH1
  1.093  CALL         Sub LeCroy WRXi (1 yr) Trigger Level IEEE /9500
  1.094  MATH         @Chan = 2
  1.095  M9500                       CH2
  1.096  CALL         Sub LeCroy WRXi (1 yr) Trigger Level IEEE /9500

  1.097  MATH         @Chan = 1
  1.098  M9500                       CH1
  1.099  CALL         Sub LeCroy WRXi (1 yr) Time Base Acc IEEE /9500

  1.100  DISP         V E R I F I C A T I O N   C O M P L E T E
  1.101  END